;=============================================================================
; ATEST.ORC
; STEREO VERSION OF ADD-1.ORC
;    TO TEST THE CREATION OF NEW CLASSES WITHIN OMCHROMA
; AMPLITUDE ENVELOPE WITH OSCILI
;=============================================================================

; Timbre:    gong
; Synthesis: additive same units (02)
;            basic instrument( 01)
; Source:    #420, Gong-like Sounds, Risset(1969)
; Coded:     jpg 8/93, modified ms 9/02, 12/08

; NB: NEW STRUCTURE FOR THE AMPLITUDES FROM AUGUST 2008!
;    Positive value > 0.0  : linear amplitude (>0.0-1000.0)
;    0.0 or negative value : amplitude in dB (0 = maximum value)

; The apparently arbitrary amplitude range (0-1000, rather than 0-1)
;         avoids printing small values with exponential notation
; Replaced oscili with poscil (precise oscillator), ms 8/08
; Default SR = 96000, recommended precision: 24 bits
;-----------------------------------------------------------------------------
;	p1	= instrument number
;	p2	= action time [sec]
;	p3	= duration [sec]
;	p4	= max amp [lin, >0.0-1000.0 or dB <- 0.0]
;	p5	= freq [Hz]
;	p6	= amp envelope [GEN number]
;	p7	= stereo pan [-1=L, 1=R]
;-----------------------------------------------------------------------------
; COMPULSORY GEN FUNCTIONS :
;	f1	audio wave
;_____________________________________________________________________________
;*****************************************************************************

sr	= 96000
kr	= 96000
ksmps	= 1
nchnls	= 2

;0dbfs = 32767  ; 16 bits
0dbfs = 8388697 ; 24 bits
;OUTBEG
; copy here global initializations for the space module
;OUTEND

instr 1 ; -------------------------------------------------------------

idur	= p3
idurosc	= 1/idur
iamp 	= (p4 > 0.0 ? (p4*0.001*0dbfs) : (ampdbfs (p4)))
ifq		= p5
iaenv	= p6
ibal	= p7
iaudiofun	= 1

;OUTBEG
; copy here instrument-based initializations for the space module
; BUGGGGGGH! DO NOT PLACE A PFIELD JUST AFTER A COMMENT,
;          	 IT MAY NOT BE RECOGNISED...!

ibal	= ( ibal * 0.5)+0.5	; scale -1/1 to 0/1
imode	= 0	; equal power
;OUTEND

   a2    		poscil  iamp, idurosc, iaenv
   asound    	poscil  a2, ifq, iaudiofun

;OUTBEG
; space module: the DSP module should end with the avariable "asound"
;    the space module should start with reading "asound"
; modular outputs at the end of the space module: aut1, aut2, aut3, ..., autN
; NB: use outc for modular reasons
aut1, aut2	pan2	asound, ibal, imode
		outc     aut1, aut2
;OUTEND

endin
