;=============================================================================
;			ADD-1S.ORC
; SIMPLE ADDITIVE SYNTHESIS (FROM ACCCI, 02_01_3.ORC) / STEREO
; AMPLITUDE ENVELOPE WITH OSCILI
;=============================================================================

; Timbre:    gong
; Synthesis: additive same units (02)
;            basic instrument( 01)
; Source:    #420, Gong-like Sounds, Risset(1969)
; Coded:     jpg 8/93, modified ms 9/02, 8/08

; NB: NEW STRUCTURE FOR THE AMPLITUDES FROM AUGUST 2008!
;    Positive value > 0.0  : linear amplitude (>0.0-1000.0)
;    0.0 or negative value : amplitude in dB (0 = maximum value)

; The apparently arbitrary amplitude range (0-1000, rather than 0-1)
;         avoids printing small values with exponential notation

; Replaced oscili with poscil (precise oscillator), ms 8/08
; Default SR = 96000, recommended precision: 24 bits
;-----------------------------------------------------------------------------
;	p1	= instrument number
;	p2	= action time [sec]
;	p3	= duration [sec]
;	p4	= max amp [lin, >0.0-1000.0 or dB <- 0.0]
;	p5	= freq [Hz]
;	p6	= amp envelope [GEN number]
;	p7	= stereo pan [-1=L, 1=R]
;-----------------------------------------------------------------------------
; COMPULSORY GEN FUNCTIONS :
;	f1	audio wave
;_____________________________________________________________________________

; GEN functions **********************************************************
; audio
f1  0   4097   9  1  1  0

; envelopes
f51  0   513   7  0 1 1 500 0.1 11 0

; score ******************************************************************
;  start  idur   iamp	 ifq	iaenv
i1   0	   1	-6.0	440.0	51	0.0
i1   +	   .	.	550.0	51	-1.0
i1   +	   .	.	550.0	51	1.0
s
i1   0	  .2	-6.0	1000.0	51	-1.0
i1   +	  .2	-6.0	1000.0	51	-0.8
i1   +	  .2	-6.0	1000.0	51	-0.6
i1   +	  .2	-6.0	1000.0	51	-0.4
i1   +	  .2	-6.0	1000.0	51	-0.2
i1   +	  .2	-6.0	1000.0	51	0.0
i1   +	  .2	-6.0	1000.0	51	0.2
i1   +	  .2	-6.0	1000.0	51	0.4
i1   +	  .2	-6.0	1000.0	51	0.6
i1   +	  .2	-6.0	1000.0	51	0.8
i1   +	  .2	-6.0	1000.0	51	1.0

e
