; HEADER 

sr = 44100
kr = 44100
ksmps = 1
nchnls = 1

; GLOBAL VARIABLES

0dbfs   = 8388607 ; 24 bits


; MACROS



;INSTRUMENTS

;==============
instr 1
;==============

idur		= p3
idurosc		= 1/idur
iamp 		= (p4 > 0.0 ? (p4*0.001*0dbfs) : (ampdbfs (p4)))
if0		= p5
in1			= p6
in2			= p7
icar		= if0*in1		; carrier
imod		= if0*in2		; modulating
imax		= p8
imin		= p9
imindev		= imin*imod
imaxdev		= imax*imod
ivardev		= imaxdev-imindev

iaenv		= p10
ienv		= p11
icarfun		= 1
imodfun		= 2
ieps		= 0.01
						; short fadeout (avoid clicks in exp envelopes)
;OUTBEG
;OUTEND

   ken	poscil  iamp, idurosc, iaenv            ; amplitude envelope
   k1	linseg 1, idur-ieps, 1,  ieps, 0	; avoid clicks
   kenv	=	ken * k1

   ki	poscil  ivardev, idurosc, ienv		; dynamic modulator
   kind	=	imindev + ki
   amod  	poscil  kind, imod, imodfun
   asound	poscil  kenv, icar+amod, icarfun	; carrier

;OUTBEG
         out     asound
;OUTEND


endin

