; HEADER 

sr = 44100
kr = 44100
ksmps = 1
nchnls = 1

; GLOBAL VARIABLES

0dbfs   = 8388607 ; max amp of the sound file




;INSTRUMENTS

;==============
instr 1
;==============


idur	= p3
idurosc	= 1/idur
iamp 	= (p4 > 0.0 ? (p4*0.001) : (10 ^ (p4/20.0)))
; relative amplitude to the sound file (to avoid multiplying twice)
if0 	= p5 ; transposition factor
ifile	= p6
;ifilepeak	filepeak ifile	; take away the semicolons if you want to read the
;print ifilepeak			;	max amp of the file on the terminal
iskip	= (p7 < 0.0 ? (p7*if0) : p7)
; to make the value not depend on the xposition factor if it's negative
iaenv	= p8	; global amplitude envelope
iwin	= (p9 > idur/2 ? idur/2 : p9) ; local envelope
iwout	= iwin
ixmode	= 1 ; index between 0 and 1
ixoff	= 0 ; index offset
ixrap	= 0 ; no wraparound in table reading
iwrap	= p10

iformat		= 8 ; 24-bit int, ignored if the sound file has a header
iwsize		= 512 ; the bigger, the better the quality of the transposition
ibufsize	= 262144	; maximum = 1048576, higher makes less disk access
iskipinit	= 0 ; do not skip initialization

isigfun		= 19 ; sigmoid function
;OUTBEG
;OUTEND

; local envelope (for the grain)
k1	linen	1,iwin,idur,iwout
k2	tablei  k1,isigfun,ixmode,ixoff,ixrap

; global envelope
k3	poscil	iamp, idurosc, iaenv

; file reading
a1	diskin2	ifile, if0, iskip, iwrap, iformat, iwsize, ibufsize, iskipinit
asound = a1*k2*k3
;OUTBEG
outc     asound
;OUTEND


endin

